### org.jfree.layouting.input.style

# Class PageAreaType

- `java.lang.Object`
- - `org.jfree.layouting.input.style.PageAreaType`

`public class PageAreaType`
`extends java.lang.Object`

Creation-Date: 15.06.2006, 16:12:31

Author:
  Thomas Morgner

  ## Field Summary

  `static PageAreaType`

  `BOTTOM`

  `static PageAreaType`

  `BOTTOM_CENTER`

  `static PageAreaType`

  `BOTTOM_LEFT`

  `static PageAreaType`

  `BOTTOM_LEFT_CORNER`

  `static PageAreaType`

  `BOTTOM_RIGHT`

  `static PageAreaType`

  `BOTTOM_RIGHT_CORNER`

  `static PageAreaType`

  `CONTENT`

  `static PageAreaType`

  `LEFT_BOTTOM`

  `static PageAreaType`

  `LEFT_MIDDLE`

  `static PageAreaType`

  `LEFT_TOP`

  `static PageAreaType`

  `RIGHT_BOTTOM`

  `static PageAreaType`

  `RIGHT_MIDDLE`

  `static PageAreaType`

  `RIGHT_TOP`

  `static PageAreaType`

  `TOP`

  `static PageAreaType`

  `TOP_CENTER`

  `static PageAreaType`

  `TOP_LEFT`

  `static PageAreaType`

  `TOP_LEFT_CORNER`

  `static PageAreaType`

  `TOP_RIGHT`

  `static PageAreaType`

  `TOP_RIGHT_CORNER`

  ## Method Summary

  `int`

  `getIndex()`

  `static int`

  `getMaxIndex()`

  `String`

  `getName()`

  `static PageAreaType[]`

  `getPageAreas()`

  `String`

  `toString()`

## Field Details

### BOTTOM

    public static final PageAreaType BOTTOM

### BOTTOM_CENTER

    public static final PageAreaType BOTTOM_CENTER

### BOTTOM_LEFT

    public static final PageAreaType BOTTOM_LEFT

### BOTTOM_LEFT_CORNER

    public static final PageAreaType BOTTOM_LEFT_CORNER

### BOTTOM_RIGHT

    public static final PageAreaType BOTTOM_RIGHT

### BOTTOM_RIGHT_CORNER

    public static final PageAreaType BOTTOM_RIGHT_CORNER

### CONTENT

    public static final PageAreaType CONTENT

### LEFT_BOTTOM

    public static final PageAreaType LEFT_BOTTOM

### LEFT_MIDDLE

    public static final PageAreaType LEFT_MIDDLE

### LEFT_TOP

    public static final PageAreaType LEFT_TOP

### RIGHT_BOTTOM

    public static final PageAreaType RIGHT_BOTTOM

### RIGHT_MIDDLE

    public static final PageAreaType RIGHT_MIDDLE

### RIGHT_TOP

    public static final PageAreaType RIGHT_TOP

### TOP

    public static final PageAreaType TOP

### TOP_CENTER

    public static final PageAreaType TOP_CENTER

### TOP_LEFT

    public static final PageAreaType TOP_LEFT

### TOP_LEFT_CORNER

    public static final PageAreaType TOP_LEFT_CORNER

### TOP_RIGHT

    public static final PageAreaType TOP_RIGHT

### TOP_RIGHT_CORNER

    public static final PageAreaType TOP_RIGHT_CORNER

## Method Details

### getIndex

    public int getIndex()

### getMaxIndex

    public static int getMaxIndex()

### getName

    public String getName()

### getPageAreas

    public static PageAreaType[] getPageAreas()

### toString

    public String toString()